org.mariadb.jdbc.identity

## Interface IdentityPlugin

All Superinterfaces:
  Supplier<Identity>

All Known Implementing Classes:
  AwsIamIdentityPlugin, EnvIdentityPlugin, PropertiesIdentityPlugin

    public interface IdentityPlugin
    extends Supplier<Identity>

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default String` `defaultAuthenticationPluginType()`
`default IdentityPlugin` `initialize(Options options, String userName, HostAddress hostAddress)`
`default boolean` `mustUseSsl()`
`String` `name()`
`String` `type()`

### Methods inherited from interface java.util.function.Supplier

`get`

### Method Detail

#### name

    String name()

#### type

    String type()

#### mustUseSsl

    default boolean mustUseSsl()

#### defaultAuthenticationPluginType

    default String defaultAuthenticationPluginType()

#### initialize

    default IdentityPlugin initialize(Options options,
                                      String userName,
                                      HostAddress hostAddress)
                               throws SQLException

Throws:
  `SQLException`